Bug 246227 - (brutus-keyring) Review Request: brutus-keyring - small and simple keyring daemon based upon libgcrypt
Review Request: brutus-keyring - small and simple keyring daemon based upon l...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 08:06 EDT by Jules Colding
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-12 13:15:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jules Colding 2007-06-29 08:06:08 EDT
Spec URL: http://www.omesc.com/sites/default/files/downloads/dist/brutus-keyring/Fedora%207/SPECS/brutus-keyring.spec

SRPM URL: http://www.omesc.com/sites/default/files/downloads/dist/brutus-keyring/Fedora%207/SRPMS/brutus-keyring-0.9.0-1.fc7.src.rpm

Description: Brutus Keyring is a small and simple keyring daemon with a CORBA API. It is build upon libgcrypt and should be very easy to use for client programs. It is using a symmetric cipher to store big as well as small secrets. 

rpmlint is silent on the srpm.
Comment 1 Mamoru TASAKA 2007-06-29 09:59:28 EDT
Jules, did you decide to become a fedora extras member?
Comment 2 Jules Colding 2007-06-29 11:40:38 EDT
No, Brian Pepple was kind enough to submit evolution-brutus on my behalf. I'm
grateful for that ;-)

Anyway - omesc.com is down for the moment. I'm trying to get physical access to
the box but it might not be possible until Monday. So mail, svn, web and
everything else is unavailable until that box is rebooted.
Comment 3 Jules Colding 2007-06-30 04:47:36 EDT
OK, the server is up again and the spec and srpm can be accessed.
Comment 5 Mamoru TASAKA 2007-06-30 13:27:34 EDT
Well, for 0.9.0-2:

* Comments
  - Are the comments above Summary entry needed?
    I suggest to remove them

* Requires
  - Check the Requires for -devel subpackage.
    Especially, check the description in
    libBrutusKeyringd-1.0.pc .

? Conflicts
  - By the way, currently Fedora's newest evolution-brutus is
    1.1.26.2-2.fc7. This srpm means that Fedora's 
    evolution-brutus has to be updated?

* Documents
  - Please install the following
----------------------------------------------
AUTHORS
ChangeLog
----------------------------------------------
  - On the other hand, I suggest to remove the following
----------------------------------------------
INSTALL - This file is needed for people who want to
          build and install this package by themselves and
          is not needed for people who use rpm package.
----------------------------------------------
Comment 6 Jules Colding 2007-07-01 02:34:33 EDT
(In reply to comment #5)
> Well, for 0.9.0-2:
> 
> * Comments
>   - Are the comments above Summary entry needed?
>     I suggest to remove them

I'm confused here. Which comments do you mean? There are a few empty lines above
"Summary" in the spec file, but those are mandated by my support of other RPM
based distributions (SUSE 10.2 and 10.3).


> * Requires
>   - Check the Requires for -devel subpackage.
>     Especially, check the description in
>     libBrutusKeyringd-1.0.pc .

You are right. Those requirements was different. I've added the requirements for
libIDL and ORBit2 to the devel package.


> ? Conflicts
>   - By the way, currently Fedora's newest evolution-brutus is
>     1.1.26.2-2.fc7. This srpm means that Fedora's 
>     evolution-brutus has to be updated?

Yes. e-b<=1.1.28 installs brutus-keyring by itself. Separating brutus-keyring
and e-b is really the right thing to do technically. I've pushed the e-b
modifications to svn (svn.brutus.net) for Brian to pick up.

 
> * Documents
>   - Please install the following
> ----------------------------------------------
> AUTHORS
> ChangeLog

OK, done.

> ----------------------------------------------
>   - On the other hand, I suggest to remove the following
> ----------------------------------------------
> INSTALL - This file is needed for people who want to
>           build and install this package by themselves and
>           is not needed for people who use rpm package.
> ----------------------------------------------

OK, removed.

New files here:

Spec URL:
http://www.omesc.com/sites/default/files/downloads/dist/brutus-keyring/Fedora%207/SPECS/brutus-keyring.spec

SRPM URL:
http://www.omesc.com/sites/default/files/downloads/dist/brutus-keyring/Fedora%207/SRPMS/brutus-keyring-0.9.0-3.fc7.src.rpm

Comment 7 Jules Colding 2007-07-01 02:36:47 EDT
(In reply to comment #6)
> > ? Conflicts
> >   - By the way, currently Fedora's newest evolution-brutus is
> >     1.1.26.2-2.fc7. This srpm means that Fedora's 
> >     evolution-brutus has to be updated?
> 
> Yes. e-b<=1.1.28 installs brutus-keyring by itself. 

This should be "e-b<1.1.28" _not_ "e-b<=1.1.28".
Comment 8 Jules Colding 2007-07-01 06:34:43 EDT
(In reply to comment #6)
> >   - Check the Requires for -devel subpackage.
> >     Especially, check the description in
> >     libBrutusKeyringd-1.0.pc .
> 
> You are right. Those requirements was different. I've added the requirements for
> libIDL and ORBit2 to the devel package.

On second thoughts... the devel package require the non-devel package which
require libIDL and ORBit2 so the devel package shouldn't require any of those by
itself. Right?

Comment 9 Mamoru TASAKA 2007-07-01 10:01:04 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > Well, for 0.9.0-2:
> > 
> > * Comments
> >   - Are the comments above Summary entry needed?
> >     I suggest to remove them
> 
> I'm confused here. Which comments do you mean? 
> There are a few empty lines above
> "Summary" in the spec file, but those are mandated by my support of other RPM
> based distributions (SUSE 10.2 and 10.3).
  - What I meant here is the parts of
------------------------------------------------
#  RPM spec file for the Brutus Keyring.
#  Copyright (C) 2007 OMC Denmark ApS
<snip>
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#  MA 02111-1307 USA
#
------------------------------------------------

(In reply to comment #8)
> (In reply to comment #6)
> > >   - Check the Requires for -devel subpackage.
> > >     Especially, check the description in
> > >     libBrutusKeyringd-1.0.pc .
> > 
> On second thoughts... the devel package require the non-devel package which
> require libIDL and ORBit2 so the devel package shouldn't 
> require any of those by
> itself. Right?
  - The point is not there. 
    /usr/lib/pkgconfig/libBrutusKeyringd-1.0.pc contains the line:
---------------------------------------------------
Requires: libIDL-2.0 >= 0.8.5, ORBit-2.0 >= 2.14.1
---------------------------------------------------
    This means that brutus-keyring-devel must have
    "Requires: ORBit2*-devel*" (and 
    /usr/include/brutus-keyring-1.0/brutus-keyring.h also requires
    ORBit2-devel)
    (the dependency for ORBit2 is automatically pulled).
Comment 11 Jules Colding 2007-07-01 10:16:30 EDT
(In reply to comment #9)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > Well, for 0.9.0-2:
> > > 
> > > * Comments
> > >   - Are the comments above Summary entry needed?
> > >     I suggest to remove them
> > 
> > I'm confused here. Which comments do you mean? 
> > There are a few empty lines above
> > "Summary" in the spec file, but those are mandated by my support of other RPM
> > based distributions (SUSE 10.2 and 10.3).
>   - What I meant here is the parts of
> ------------------------------------------------
> #  RPM spec file for the Brutus Keyring.
> #  Copyright (C) 2007 OMC Denmark ApS
> <snip>
> #  Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
> #  MA 02111-1307 USA
> #
> ------------------------------------------------

So I should remove the more or less standard GPL license notice?

Comment 12 Mamoru TASAKA 2007-07-01 14:22:10 EDT
Usually Fedora's spec files does not contain such license
comments.
Comment 13 Jules Colding 2007-07-02 03:18:08 EDT
No, I've noticed that, but I would really like to keep the header if it isn't to
annoying. 

It is not a matter of being a legalese nitpicker. I just prefer to have a
license notice on the top of each and every file (except for the really
insignificant ones) to avoid any possible legal ambiguities.

I'll certainly remove it if it is a problem, but I would rather keep the license
notice if possible.
Comment 14 Mamoru TASAKA 2007-07-02 03:40:04 EDT
(In reply to comment #13)
> No, I've noticed that, but I would really like to keep 
> the header if it isn't to annoying. 

Well, okay. I don't force you to remove them.

-----------------------------------------------
Requires:        ORBit2*-devel*
-----------------------------------------------
  - Oops.. I just wanted to emphasize "-devel".
    The name is "ORBit2-devel". Sorry for confusing you..
  - By the way did you modify the Source tarball itself silently?
Comment 15 Jules Colding 2007-07-02 06:42:01 EDT
(In reply to comment #14)
> (In reply to comment #13)
> > No, I've noticed that, but I would really like to keep 
> > the header if it isn't to annoying. 
> 
> Well, okay. I don't force you to remove them.

Thanks :-)

> -----------------------------------------------
> Requires:        ORBit2*-devel*
> -----------------------------------------------
>   - Oops.. I just wanted to emphasize "-devel".
>     The name is "ORBit2-devel". Sorry for confusing you..

Silly me...


>   - By the way did you modify the Source tarball itself silently?

Sigh, yes. The spec file revision number didn't make it to the tar-ball version
string. I've now changed my ways and will increase the third version digit for
each spec file modification so that any source change will be reflected by the
tar-ball version.

New files here:

Spec URL:
http://www.omesc.com/sites/default/files/downloads/dist/brutus-keyring/Fedora%207/SPECS/brutus-keyring.spec

SRPM URL:
http://www.omesc.com/sites/default/files/downloads/dist/brutus-keyring/Fedora%207/SRPMS/brutus-keyring-0.9.1-1.fc7.src.rpm
Comment 16 Mamoru TASAKA 2007-07-03 12:12:30 EDT
Okay.

---------------------------------------------------
  This package (brutus-keyring) is APPROVED by me
---------------------------------------------------
Comment 17 Jules Colding 2007-07-04 04:05:30 EDT
Great - thanks a lot!
Comment 18 Brian Pepple 2007-07-04 10:38:31 EDT
New Package CVS Request
=======================
Package Name: brutus-keyring
Short Description: small keyring daemon build upon libgcrypt
Owners: bdpepple@ameritech.net
Branches: F-7
InitialCC: colding@omesc.com
Comment 19 Kevin Fenzi 2007-07-04 14:31:51 EDT
cvs done.
Comment 20 Mamoru TASAKA 2007-07-07 11:22:26 EDT
Please try to import this to Fedora.
Comment 21 Jules Colding 2007-07-07 11:27:13 EDT
Anything I can do to help?
Comment 22 Brian Pepple 2007-07-07 11:32:25 EDT
I'm planning to do this on Monday, since I'm still on vacation.
Comment 23 Mamoru TASAKA 2007-07-07 11:41:41 EDT
(In reply to comment #22)
> I'm planning to do this on Monday, since I'm still on vacation.

Ah, okay, thank you.
Comment 24 Mamoru TASAKA 2007-07-20 08:11:49 EDT
Please close this bug when rebuild is done.
Comment 25 Jules Colding 2007-07-20 08:35:36 EDT
Hi again, I've just returned from a two week vacation. The vacation was
involuntary mail-less and I won't get a chance to access my inbox until Monday.
Has there been any build issues or other problems, that has gone directly to my
mail address instead of bugzilla, that I should take care of?

Best regards,
  jules
Comment 26 Mamoru TASAKA 2007-07-20 10:40:38 EDT
(In reply to comment #25)
> Has there been any build issues or other problems, that has gone directly to my
> mail address instead of bugzilla, that I should take care of?
> 

Well, as you cannot rebuild this on Fedora, I am asking to Brian.
Comment 27 Brian Pepple 2007-07-20 11:11:06 EDT
I was able to build brutus-keyring fine, but updating evolution-brutus to
1.1.28.0 is proving to be quite problematic.  jules, I sent you an e-mail about
it, and hopefully this weekend I'll have some time to track down the problem.
Comment 28 Jules Colding 2007-07-21 09:12:00 EDT
OK, I'll read the mail as soon as I hit the office, which should be Monday
morning. evolution-brutus-1.1.28.0 should build fine, but that is naturally on
my box. I'll fix whatever is wrong asap on Monday.

Thanks,
  jules
Comment 29 Brian Pepple 2007-08-12 13:15:45 EDT
Ok, finally got Evolution-Brutus to build in rawhide.  yeah.

Thanks for the review, Mamoru.

Note You need to log in before you can comment on or make changes to this bug.